Bug 787246 - Using js 1.8.5 causes mongodb interactive shell to crash
Summary: Using js 1.8.5 causes mongodb interactive shell to crash
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mongodb
Version: 16
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Nathaniel McCallum
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-03 16:51 UTC by Mike Fiedler
Modified: 2012-02-14 09:10 UTC (History)
5 users (show)

Fixed In Version: mongodb-2.0.2-8.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-14 09:00:42 UTC


Attachments (Terms of Use)

Description Mike Fiedler 2012-02-03 16:51:36 UTC
Description of problem:
As reported in https://jira.mongodb.org/browse/SERVER-4855
The Fedora-supplied build of mongodb 2.0.2 is apparently being built against s

Version-Release number of selected component (if applicable):
mongodb-server-2.0.2-5.fc16.x86_64
libmongodb-2.0.2-5.fc16.x86_64
mongodb-2.0.2-5.fc16.x86_64

How reproducible:
On FC16, 3.2.2-1.fc16.x86_64 #1 SMP.
yum install mongodb-server

Steps to Reproduce:
1. Start the server: mongod
2. Start a client session
3. Create a record
4. Try to find the record
  
Actual results:
$ mongo
MongoDB shell version: 2.0.2
connecting to: test
> db.foo.save( { a : 1 } )
> db.foo.find()
Thu Feb 2 22:55:57 mongo got signal 11 (Segmentation fault), stack trace:

Thu Feb 2 22:55:57 0x46a9ef 0x462744 0x7f2312f14300 0x4c7590 0x7f23143ab23f 0x7f23143ae55b 0x7f23143af12c 0x7f2314396360 0x7f23143a5ae5 0x7f23143a7772 0x7f231431fcb5 0x7f231431fdb2 0x7f231431fe52 0x4d0549 0x467641 0x45ebae 0x7f2312eff69d 0x461699 
mongo(_ZN5mongo15printStackTraceERSo+0x1f) [0x46a9ef]
mongo(_Z12quitAbruptlyi+0x334) [0x462744]
/lib64/libc.so.6(+0x36300) [0x7f2312f14300]
mongo(_ZN5mongo14bson_enumerateEP9JSContextP8JSObject11JSIterateOpPmPl+0x130) [0x4c7590]
/usr/lib64/libmozjs185.so.1.0(+0xd923f) [0x7f23143ab23f]
/usr/lib64/libmozjs185.so.1.0(+0xdc55b) [0x7f23143ae55b]
/usr/lib64/libmozjs185.so.1.0(_Z18js_ValueToIteratorP9JSContextjPN2js5ValueE+0x5c) [0x7f23143af12c]
/usr/lib64/libmozjs185.so.1.0(+0xc4360) [0x7f2314396360]
/usr/lib64/libmozjs185.so.1.0(+0xd3ae5) [0x7f23143a5ae5]
/usr/lib64/libmozjs185.so.1.0(+0xd5772) [0x7f23143a7772]
/usr/lib64/libmozjs185.so.1.0(JS_EvaluateUCScriptForPrincipals+0xc5) [0x7f231431fcb5]
/usr/lib64/libmozjs185.so.1.0(JS_EvaluateScriptForPrincipals+0x72) [0x7f231431fdb2]
/usr/lib64/libmozjs185.so.1.0(JS_EvaluateScript+0x22) [0x7f231431fe52]
mongo(_ZN5mongo7SMScope4execERKNS_10StringDataERKSsbbbi+0xf9) [0x4d0549]
mongo(_Z5_mainiPPc+0x2001) [0x467641]
mongo(main+0x1e) [0x45ebae]
/lib64/libc.so.6(__libc_start_main+0xed) [0x7f2312eff69d]
mongo() [0x461699]


Expected results:
Shell to work, return the record.

Additional info:
A similar bug was reported with similar behavior at Bug 752533.

10gen builds the binaries and packages with statically-linked js version 1.7, as can be seen here: https://github.com/mongodb/mongo/tree/master/src/third_party/js-1.7

This error does not occur on 10gen-supplied RPM packages for the same version.

Comment 1 Fedora Update System 2012-02-03 17:59:23 UTC
mongodb-2.0.2-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mongodb-2.0.2-6.fc16

Comment 2 Fedora Update System 2012-02-03 17:59:32 UTC
mongodb-2.0.2-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mongodb-2.0.2-6.fc15

Comment 3 Fedora Admin XMLRPC Client 2012-02-03 18:49:43 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2012-02-03 19:30:21 UTC
mongodb-2.0.2-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mongodb-2.0.2-8.fc15

Comment 5 Fedora Update System 2012-02-03 19:30:45 UTC
mongodb-2.0.2-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mongodb-2.0.2-8.fc16

Comment 6 Fedora Update System 2012-02-04 05:31:27 UTC
Package mongodb-2.0.2-8.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mongodb-2.0.2-8.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1293/mongodb-2.0.2-8.fc16
then log in and leave karma (feedback).

Comment 7 Pau Aliagas 2012-02-04 10:16:06 UTC
It fixes the bug, thanks.

Comment 8 Mike Fiedler 2012-02-04 15:04:09 UTC
I have tested the build, and confirmed that the reported issue no longer appears.

Comment 9 Fedora Update System 2012-02-14 09:00:42 UTC
mongodb-2.0.2-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-02-14 09:10:54 UTC
mongodb-2.0.2-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.